Bug 1451001 - CVE-2017-7478 CVE-2017-7479 openvpn: various flaws [epel-all]
Summary: CVE-2017-7478 CVE-2017-7479 openvpn: various flaws [epel-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: openvpn
Version: epel7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: David Sommerseth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2017-7478 CVE-2017-7479
TreeView+ depends on / blocked
 
Reported: 2017-05-15 14:31 UTC by Adam Mariš
Modified: 2017-11-17 15:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-17 15:55:45 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-05-15 14:31:54 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of epel-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora EPEL. While
only one tracking bug has been filed, please correct all affected versions
at the same time.  If you need to fix the versions independent of each
other, you may clone this bug as appropriate.

Comment 1 Adam Mariš 2017-05-15 14:32:00 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1450993,1450997

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 David Sommerseth 2017-11-17 15:55:45 UTC
This is fixed in el-6

* Thu May 11 2017 David Sommerseth <dazo@eurephia.org> - 2.4.2-1
- Update to upstream v2.4.2
- This update fixes CVE-2017-7478 and CVE-2017-7479
- Restore the old plug-in locations (rhbz#1444535)

https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6ee18d1c7b


As well as epel7, which actually lacks the CVE references in %changelog.  But it happened here:

* Thu May 11 2017 David Sommerseth <dazo@eurephia.org> - 2.4.2-1
- Update to upstream openvpn-2.4.2

https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-c9f915d837


Note You need to log in before you can comment on or make changes to this bug.